#ifndef GetParameterDbParameter_H
#define GetParameterDbParameter_H

#include <Command.h>
namespace ProtoGenWrapper
{
	class DParameter;
}

namespace ProtoGenWrapper
{
	class GetParameterDbParameter:
		public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		GetParameterDbParameter(const DParameter& parameter);
		GetParameterDbParameter(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);

		bool GetValues(DParameter& parameter) const;

		static int GetCommandType();
	};
}
#endif // GetParameterDbParameter_H
